<TerrainGen>
<set xpath="/rwgmixer/terrain_generators">
<terrain_generator name="vanilla" base_height="0" water_level="18">
			<module name="lnd_Fn" type="FastNoise" seed_additive="0">
				<property name="frequency" value="0.000625"/>
				<property name="persistence" value="0.5"/>
				<property name="lacunarity" value="2.208984375"/>
				<property name="octavecount" value="1"/>
			</module>
			<module name="lnd_Cu" type="CurveOutput">
				<property name="sourceModule" value="lnd_Fn"/>
				<property name="source_module1" value="lnd_Fn"/>
				<property name="controlPoints" value="-1.5,-1.5; -0.5,-0.5; 0.5,0.5; 0.5625,0.5625; 0.625,0.625; 0.75,0.75; 1.0,1.0; 1.25,1.25; 1.5,1.5; 2.5,2.5"/>
			</module>
			<module name="lnd_Sb" type="ScaleBiasOutput">
				<property name="sourceModule" value="lnd_Cu"/>
				<property name="scale" value="1"/>
				<property name="bias" value="0.0"/>
			</module>
			<module name="lnd_Fr1" type="FastNoise" seed_additive="1">
				<property name="frequency" value="0.0000175"/> 
				<property name="persistence" value="0.5"/>
				<property name="lacunarity" value="2.208984375"/>
				<property name="octavecount" value="1"/>
			</module>
			<module name="lnd_Sb1" type="ScaleBiasOutput">
				<property name="sourceModule" value="lnd_Fr1"/>
				<property name="scale" value="0.128"/>
				<property name="bias" value="0.625"/>
			</module>
			<module name="lnd_Sm" type="Add">
				<property name="sourceModule1" value="lnd_Sb1"/>
				<property name="sourceModule2" value="lnd_Sb"/>
			</module>
			<module name="lnd_Cl" type="ClampOutput">
				<property name="sourceModule" value="lnd_Sm"/>
				<property name="bounds" value="-0.5,1"/>
			</module>
			<module name="lnd_Tu0" type="FastTurbulence" seed_additive="10">
				<property name="sourceModule" value="lnd_Cl"/>
				<property name="frequency" value="0.075"/>
				<property name="power" value="5"/>
				<property name="roughness" value="13"/>
			</module>
			<module name="terra_Te" type="Terrace">
				<property name="sourceModule" value="lnd_Tu0"/>
				<property name="source_module1" value="lnd_Tu0"/>
				<property name="controlPoints" value="-1,-0.01,-0.05,0.05,0.01,1"/>
			</module>
			<module name="lnd_Se" type="Select">
				<property name="controlModule" value="terra_Te"/>
				<property name="sourceModule1" value="lnd_Cl"/>
				<property name="sourceModule2" value="lnd_Tu0"/>
				<property name="bounds" value="-0.3,1024"/>
				<property name="edgeFalloff" value="0.128"/>
			</module>
			<module name="lnd_Refiner" type="ScaleBiasOutput">
				<property name="sourceModule" value="lnd_Se"/>
				<property name="scale" value="0.75"/>
				<property name="bias" value="0.5"/> 
			</module>
			<!-- Mountain High (4) modules -->
			<module name="mntHigh_Fr0" type="FastRidgedMultifractal" seed_additive="20">
				<property name="frequency" value="0.00027"/>
				<property name="octavecount" value="8"/>
				<property name="lacunarity" value="2.142578125"/>
			</module>
			<module name="mntHigh_Fr1" type="RidgedMultifractal" seed_additive="21">
				<property name="frequency" value="0.00025"/>
				<property name="octavecount" value="8"/>
				<property name="lacunarity" value="2.142578125"/>
			</module>
			<module name="mntHigh_Lo" type="LargerOutput">
				<property name="sourceModule1" value="mntHigh_Fr0"/>
				<property name="sourceModule2" value="mntHigh_Fr1"/>
			</module>
			<module name="mntHigh_Tu0" type="FastTurbulence" seed_additive="30">
				<property name="sourceModule" value="mntHigh_Lo"/>
				<property name="frequency" value="0.00141"/>
				<property name="power" value="5"/>
				<property name="roughness" value="5"/>
			</module>
			<!-- Mountain Low modules-->
			<module name="mntLow_Fr0" type="FastRidgedMultifractal" seed_additive="40">
				<property name="frequency" value="0.00135"/>
				<property name="octavecount" value="4"/>
				<property name="lacunarity" value="2.162109375"/>
			</module>
			<module name="mntLow_Fr1" type="RidgedMultifractal" seed_additive="41">
				<property name="frequency" value="0.000625"/>
				<property name="octavecount" value="4"/>
				<property name="lacunarity" value="2.162109375"/>
			</module>
			<module name="mntLow_Mu" type="Multiply">
				<property name="sourceModule1" value="mntLow_Fr0"/>
				<property name="sourceModule2" value="mntLow_Fr1"/>
			</module>
			<module name="mnt_Si0" type="ScaleInput">
				<property name="sourceModule" value="mntHigh_Tu0"/>
				<property name="x" value="1.25"/>
				<property name="z" value="1.25"/>
			</module>
			<module name="mntTerra_Sb0" type="ScaleBiasOutput">
				<property name="sourceModule" value="mnt_Si0"/>
				<property name="scale" value="0.35"/>
				<property name="bias" value="0.65"/>
			</module>
			<module name="mnt_Si1" type="ScaleInput">
				<property name="sourceModule" value="mntLow_Mu"/>
				<property name="x" value="1"/>
				<property name="z" value="1"/>
			</module>
			<module name="mntTerra_Sb1" type="ScaleBiasOutput">
				<property name="sourceModule" value="mnt_Si1"/>
				<property name="scale" value="0.6125"/>
				<property name="bias" value="-0.1"/>
			</module>
			<module name="mntTerra_Se" type="Select">
				<property name="sourceModule1" value="mntTerra_Sb0"/>
				<property name="sourceModule2" value="mntTerra_Sb1"/>
				<property name="controlModule" value="mntHigh_Fr0"/>
				<property name="bounds" value="0,1"/>
				<property name="edgeFalloff" value="0.128"/>
			</module>
			<module name="mntTerra_Sb2" type="ScaleBiasOutput">
				<property name="sourceModule" value="mntTerra_Se"/>
				<property name="scale" value="1"/>
				<property name="bias" value="0.25"/> 
			</module>
			<module name="mntTerra_Ex" type="ExponentialOutput">
				<property name="sourceModule" value="mntTerra_Sb2"/>
				<property name="exponent" value="1.35"/> 
			</module>
			<module name="mntTerra_Cl" type="ClampOutput">
				<property name="sourceModule" value="mntTerra_Ex"/>
				<property name="bounds" value="-0.25,1"/>
			</module>
			<module name="mnt_Tu0" type="FastTurbulence" seed_additive="50">
				<property name="sourceModule" value="mntTerra_Cl"/>
				<property name="frequency" value="1.75"/>
				<property name="power" value="2.5"/>
				<property name="roughness" value="13"/>
			</module>
			<module name="mnt_Refiner" type="BiasOutput">
				<property name="sourceModule" value="mnt_Tu0"/>
				<property name="scale" value="1.25"/>
				<property name="bias" value="0.05"/> 
			</module>
			<module name="mnt_Se" type="Select">
				<property name="controlModule" value="terra_Te"/>
				<property name="sourceModule1" value="lnd_Refiner"/>
				<property name="sourceModule2" value="mnt_Refiner"/>
				<property name="bounds" value="-1,1000"/>
				<property name="edgeFalloff" value="0.128"/>
			</module>
			<!-- Plains Modules -->
			<module name="plns_Fr" type="FastRidgedMultifractal" seed_additive="60">
				<property name="frequency" value="0.00025"/>
				<property name="persistence" value="0.5"/>
				<property name="octavecount" value="18"/>
			</module>
			<module name="plns_Sb0" type="ScaleBiasOutput">
				<property name="sourceModule" value="plns_Fr"/>
				<property name="scale" value="0.875"/>
				<property name="bias" value="0.0"/>
			</module>
			<module name="plns_Vo" type="Voronoi" seed_additive="61">
				<property name="frequency" value="0.0025"/>
				<property name="displacement" value="0.5"/>
				<property name="enableDistance" value="True"/>
				<property name="persistence" value="0.5"/>
				<property name="octavecount" value="8"/>
			</module>
			<module name="plns_Sb1" type="ScaleBiasOutput">
				<property name="sourceModule" value="plns_Vo"/>
				<property name="scale" value="0.55"/>
				<property name="bias" value="0.25"/>
			</module>
			<module name="plns_Ad" type="Add">
				<property name="sourceModule1" value="plns_Sb0"/>
				<property name="sourceModule2" value="plns_Sb1"/>
			</module>
			<!-- Cliff modules -->
			<module name="cliffEdges_Fn" type="FastNoise" seed_additive="70">
				<property name="frequency" value="0.000125"/>
				<property name="persistence" value="0.75"/>
				<property name="octavecount" value="6"/>
			</module>
			<module name="cliffEdges_Cu" type="CurveOutput">
				<property name="sourceModule" value="cliffEdges_Fn"/>
				<property name="source_module1" value="cliffEdges_Fn"/>
				<property name="controlPoints" value="-1.5,-1.5; -0.5,-0.5; 0.5,0.5; 1.0,1.0; 1.125,1.125; 1.25,1.25; 2.5,2.5"/>
			</module>
			<module name="cliffEdges_Cl" type="ClampOutput">
				<property name="sourceModule" value="cliffEdges_Cu"/>
				<property name="bounds" value="-1,1"/>
			</module>
			<module name="cliffEdges_Te" type="Terrace">
				<property name="sourceModule" value="cliffEdges_Cl"/>
				<property name="source_module1" value="cliffEdges_Cl"/>
				<property name="controlPoints" value="-1,-0.935,-0.875,-0.75,-0.5,-0.125,0,0.125,0.25,0.33,0.5,0.75,0.875,0.991,1"/>
			</module>
			<module name="cliffEdges_Tu0" type="FastTurbulence" seed_additive="80">
				<property name="sourceModule" value="cliffEdges_Te"/>
				<property name="frequency" value="0.00175"/>
				<property name="power" value="1"/>
				<property name="roughness" value="13"/>
			</module>
			<module name="cliffEdges_Tu1" type="FastTurbulence" seed_additive="81">
				<property name="sourceModule" value="cliffEdges_Tu0"/>
				<property name="frequency" value="0.00175"/>
				<property name="power" value="1"/>
				<property name="roughness" value="13"/>
			</module>
			<module name="cliffPlnsTerra_Sb" type="ScaleBiasOutput">
				<property name="sourceModule" value="plns_Ad"/>
				<property name="scale" value="0.25"/>
				<property name="bias" value="-0.5"/>
			</module>
			<module name="cliffPlnsTerra_Lo" type="LargerOutput">
				<property name="sourceModule1" value="cliffEdges_Tu1"/>
				<property name="sourceModule2" value="cliffPlnsTerra_Sb"/>
			</module>
			<module name="cliffPlnsTerra_Cl" type="ClampOutput">
				<property name="sourceModule" value="cliffPlnsTerra_Lo"/>
				<property name="bounds" value="-1,1"/>
			</module>
			<module name="cliffPlnsTerra_Se" type="Select">
				<property name="controlModule" value="cliffEdges_Te"/> 
				<property name="sourceModule1" value="mnt_Se"/>
				<property name="sourceModule2" value="cliffPlnsTerra_Cl"/>
				<property name="bounds" value="0.1,1"/> 
				<property name="edgeFalloff" value="0.60"/>
			</module>
			<module name="cliffPlns_Tu0" type="FastTurbulence" seed_additive="90">
				<property name="sourceModule" value="cliffPlnsTerra_Se"/>
				<property name="frequency" value="2.75"/>
				<property name="power" value="2.5"/>
				<property name="roughness" value="13"/>
			</module>
			<module name="cliffDetail_Tu0" type="FastTurbulence">
				<property name="sourceModule" value="cliffPlns_Tu0"/>
				<property name="frequency" value="0.0125"/>
				<property name="power" value="40"/>
				<property name="roughness" value="3"/>
			</module>
			<module name="cliffDetail_Tu1" type="FastTurbulence">
				<property name="sourceModule" value="cliffDetail_Tu0"/>
				<property name="frequency" value="0.0125"/>
				<property name="power" value="30"/>
				<property name="roughness" value="3"/>
			</module>
			<module name="cliffPlns_Refiner" type="ScaleBiasOutput">
				<property name="sourceModule" value="cliffDetail_Tu1"/>
				<property name="scale" value="1"/> 
				<property name="bias" value="0.1"/> 
			</module>
			<module name="lndPlns_Sm" type="SmallerOutput">
				<property name="sourceModule1" value="lnd_Refiner"/>
				<property name="sourceModule2" value="cliffPlns_Refiner"/>
			</module>
			<!-- Module Block: Water Bodies Modules-->
			<module name="wtrPos_Fr0" type="FastRidgedMultifractal" seed_additive="110">
				<property name="frequency" value="0.0039"/>
				<property name="persistence" value="0.9"/>
				<property name="octavecount" value="1"/>
			</module>
			<module name="wtrPos_Cu0" type="CurveOutput">
				<property name="sourceModule" value="wtrPos_Fr0"/>
				<property name="source_module1" value="wtrPos_Fr0"/>
				<property name="controlPoints" value="-2.0,-2.0; -1.0,-1.0; -0.125,-0.125; 0.0,0.0; 1.0,1.0; 2.0,2.0"/>
			</module>
			<module name="wtrPos_Fr1" type="RidgedMultifractal" seed_additive="111">
				<property name="frequency" value="0.004"/>
				<property name="persistence" value="0.9"/>
				<property name="octavecount" value="1"/>
			</module>
			<module name="wtrPos_Cu1" type="CurveOutput">
				<property name="sourceModule" value="wtrPos_Fr1"/>
				<property name="source_module1" value="wtrPos_Fr1"/>
				<property name="controlPoints" value="-2.0,-2.0; -1.0,-1.0; -0.125,-0.125; 0.01,0.01; 1.0,1.0; 2.0,2.0"/>
			</module>
			<module name="wtrPos_Sm" type="SmallerOutput">
				<property name="sourceModule1" value="wtrPos_Cu0"/>
				<property name="sourceModule2" value="wtrPos_Cu1"/>
			</module>
			<module name="wtrPos_Tu0" type="FastTurbulence" seed_additive="120">
				<property name="sourceModule" value="wtrPos_Sm"/>
				<property name="frequency" value="0.01411"/>
				<property name="power" value="3"/>
				<property name="roughness" value="6"/>
			</module>
			<module name="wtrTerra_Sb2" type="ScaleBiasOutput">
				<property name="sourceModule" value="wtrPos_Tu0"/>
				<property name="scale" value="-0.275"/> 
				<property name="bias" value="-0.2"/>
			</module>
			<module name="wtrTerra_Cl" type="ClampOutput">
				<property name="sourceModule" value="wtrTerra_Sb2"/>
				<property name="bounds" value="-1,1"/>
			</module>
			<module name="wtr_Cntrl" type="RidgedMultifractal" seed_additive="0">
				<property name="frequency" value="0.000175"/> 
				<property name="persistence" value="0.75"/>
				<property name="octavecount" value="14"/>
			</module>
			<module name="wtrTerra_Se" type="Select" seed_additive="0">
				<property name="sourceModule1" value="cliffPlns_Refiner"/>
				<property name="sourceModule2" value="wtrTerra_Cl"/>
				<property name="controlModule" value="wtr_Cntrl"/> 
				<property name="bounds" value="-0.05,0.25"/> 
				<property name="edgeFalloff" value="0.128"/>
			</module>
			<module name="waterDetail_Tu0" type="FastTurbulence" seed_additive="111">
				<property name="sourceModule" value="wtrTerra_Se"/>
				<property name="frequency" value="0.0125"/>
				<property name="power" value="40"/>
				<property name="roughness" value="3"/>
			</module>
			<module name="waterDetail_Tu1" type="FastTurbulence" seed_additive="111">
				<property name="sourceModule" value="cliffDetail_Tu0"/>
				<property name="frequency" value="0.0125"/>
				<property name="power" value="30"/>
				<property name="roughness" value="3"/>
			</module>
			<module name="wtr_Refiner" type="ScaleBiasOutput">
				<property name="sourceModule" value="waterDetail_Tu1"/>
				<property name="scale" value="1"/> 
				<property name="bias" value="-0.05"/> 
			</module>
			<module name="wtrPlns_Sm" type="SmallerOutput">
				<property name="sourceModule1" value="wtr_Refiner"/>
				<property name="sourceModule2" value="cliffPlns_Refiner"/>
			</module>
			<!-- Master Select Modules-->
			<module name="wrld_Cntrl" type="FastRidgedMultifractal" seed_additive="0">
				<property name="frequency" value="0.00175"/> 	
			</module>
			<module name="wrld_Se0" type="Select">
				<property name="controlModule" value="wrld_Cntrl"/> 
				<property name="sourceModule1" value="lndPlns_Sm"/>
				<property name="sourceModule2" value="wtrPlns_Sm"/>
				<property name="bounds" value="0.7,1000"/>
				<property name="edgeFalloff" value="0.60"/>
			</module>
			<!-- Master Output Modules -->
			<module name="MasterScaleBias" type="ScaleBiasOutput">
				<property name="sourceModule" value="wrld_Se0"/>
				<property name="scale" value="160.5"/> 
				<property name="bias" value="30.75"/> 
			</module>
			<output module="MasterScaleBias"/>
	</terrain_generator>
</set>
</TerrainGen>

